Cabal-1.10.1.0: A framework for packaging Haskell software

Portability | portable
Maintainer | cabal-devel@haskell.org

Distribution.Simple.PreProcess.Unlit

Description

Remove the "literal" markups from a Haskell source file, including "`>`", "`\begin{code}`", "`\end{code}`", and "`#`"

Synopsis

- unlit :: FilePath -> String -> Either String String
- plain :: String -> String -> String

# Documentation

unlit :: FilePath -> String -> Either String String

`unlit` takes a filename (for error reports), and transforms the given string, to eliminate the literate comments from the program text.

plain :: String -> String -> String

No unliteration.